コンテンツへスキップ

FFmpeg API Metadata

統合

モデルID ffmpeg-api/metadata
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/metadata?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "media_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.001 1 APIクレジット このページで実行

APIキーを取得
Utility その他 #ffmpeg

動画または音声ファイルのエンコードメタデータを読み取り、JSONとして返します

Utility · データ (JSON)

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

解析する動画または音声ファイルを指すURL。

詳細設定 extract_frames
POST /run/ffmpeg-api/metadata?wait=20 見積もり → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/metadata?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "media_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

FFmpeg API Metadataについて

`media_url`のファイルを解析し、技術情報をJSONオブジェクトとして報告します。動画と音声の両方に対応します。`extract_frames`をtrueにすると動画の開始・終了フレームも取得しますが、リクエストは遅くなります。

パラメータ

名前型 デフォルト許可される値 説明
media_url必須
型string
解析する動画または音声ファイルを指すURL。
extract_frames任意
型boolean
デフォルトfalse
trueにすると各動画の最初と最後のフレームを抽出しますが、リクエスト処理は遅くなります。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/metadata",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "media_url": "https://example.com/your-file.bin"
  },
  "output": {
    "media": {
      "media_type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "duration": 5,
      "bitrate": 1,
      "codec": "string",
      "container": "string",
      "fps": 1,
      "frame_count": 1,
      "timebase": "string",
      "resolution": {
        "aspect_ratio": "string",
        "width": 1024,
        "height": 768
      },
      "format": {
        "container": "string",
        "video_codec": "string",
        "profile": "string",
        "level": 1.0,
        "pixel_format": "string",
        "bitrate": 1
      },
      "audio": {
        "codec": "string",
        "channels": 1,
        "sample_rate": 1,
        "bitrate": 1
      },
      "start_frame_url": "string",
      "end_frame_url": "string"
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
media
object {media_type, url, content_type, file_name, file_size, duration, bitrate, codec, container, fps, frame_count, timebase, resolution, format, audio, start_frame_url, end_frame_url} | object {media_type, url, content_type, file_name, file_size, duration, bitrate, codec, container, channels, sample_rate}解析した音声または動画ファイルを説明するメタデータ。

その他のモデル: その他

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/ffmpeg-api/metadata.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt